Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum SearchStrategy

    java.lang.Object
      java.lang.Enum<SearchStrategy>
          nl.liacs.subdisc.SearchStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SearchStrategy>, EnumInterface

    public enum SearchStrategy

extends java.lang.Enum<SearchStrategy>
implements EnumInterface

SearchStrategy contains all available search strategies.

Enum Constant Summary
`BEAM`
`BEST_FIRST`
`BREADTH_FIRST`
`COVER_BASED_BEAM_SELECTION`
`DEPTH_FIRST`

Field Summary
`java.lang.String` | `GUI_TEXT` For each SearchStrategy, this is the text that will be used in the GUI.

Method Summary
`static SearchStrategy` | `getDefault()` Returns the default SearchStrategy.
`static SearchStrategy` | `getSearchStrategy(java.lang.String theType)` Returns the SearchStartegy corresponding to the `String` parameter.
`boolean` | `isBeam()`
`java.lang.String` | `toString()` Returns a friendly `String to show in the GUI.`
`static SearchStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SearchStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEAM

    public static final SearchStrategy BEAM

### COVER_BASED_BEAM_SELECTION

    public static final SearchStrategy COVER_BASED_BEAM_SELECTION

### BEST_FIRST

    public static final SearchStrategy BEST_FIRST

### DEPTH_FIRST

    public static final SearchStrategy DEPTH_FIRST

### BREADTH_FIRST

    public static final SearchStrategy BREADTH_FIRST

Field Detail

### GUI_TEXT

    public final java.lang.String GUI_TEXT

  For each SearchStrategy, this is the text that will be used in the GUI. This is also the `String` that will be returned by the toString() method.

Method Detail

### values

    public static SearchStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SearchStrategy c : SearchStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SearchStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getSearchStrategy

    public static SearchStrategy getSearchStrategy(java.lang.String theType)

  Returns the SearchStartegy corresponding to the `String` parameter. This method is case insensitive.

  Parameters:
    `theType` - the `String` corresponding to a SearchStrategy.
  Returns:
    the SearchStrategy corresponding to the `String` parameter, or the default SearchStrategy `BEAM` if no corresponding SearchStrategy can not be found.

### getDefault

    public static SearchStrategy getDefault()

  Returns the default SearchStrategy.

  Returns:
    the default SearchStrategy.

### toString

    public java.lang.String toString()

  Description copied from interface: `EnumInterface`
  Returns a friendly `String to show in the GUI.

  `
  Specified by:
    `toString` in interface `EnumInterface`
  Overrides:
    `toString` in class `java.lang.Enum<SearchStrategy>`
  Returns:
    the text `String` presented to the end user.

### isBeam

    public boolean isBeam()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD